package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 区域类型枚举
 */
@AllArgsConstructor
@Getter
public enum EAreaType {

    /**
     * 1=省
     */
    PROVINCE(1, "省", 0),

    /**
     * 2=市
     */
    CITY(2, "市", 0),

    /**
     * 3=区
     */
    COUNTY(3, "区/县", 0),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;


    /**
     * 根据枚举值获取枚举
     *
     * @param value 枚举值
     * @return
     */
    public static EAreaType getEnumByValue(int value) {
        for (EAreaType enums : EAreaType.values()) {
            if (enums.getValue() == value) {
                return enums;
            }
        }
        return null;
    }

}
